{ pkgs, ... }:

{
  home.packages = with pkgs; [
    nnn # terminal file manager

    # archives
    zip
    xz
    unzip
    p7zip

    # utils
    ripgrep # recursively searches directories for a regex pattern
    jq # A lightweight and flexible command-line JSON processor
    yq-go # yaml processer https://github.com/mikefarah/yq
    fzf # A command-line fuzzy finder
    fh # flake hub command line interface
    aria2 # A lightweight multi-protocol & multi-source command-line download utility

    # misc
    cowsay
    file
    which
    tree
    gnutar
    gnupg
    tmux
    nerdfonts
    zoxide
    babelfish

    # language-specific package managers
    nodejs
    cargo
    python3

    # productivity
    iterm2
    discord
    obsidian
    vscode

    # games?
    # prismlauncher
  ];
}
